Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 197270 - Invalid exception reporter categorization mechanism (Was:CSS code completion is slow)
Invalid exception reporter categorization mechanism (Was:CSS code completion ...
Status: REOPENED
Product: ide
Classification: Unclassified
Component: Exceptions Reporter
7.0.1
PC All
: P2 (vote)
: 7.0.1
Assigned To: Tomas Danek
logger-issues@ide
: PERFORMANCE
Depends on:
Blocks: 179727
  Show dependency treegraph
 
Reported: 2011-03-31 08:47 UTC by Dusan Balek
Modified: 2017-02-14 10:06 UTC (History)
43 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (13.90 KB, application/nps)
2011-04-13 14:24 UTC, Franc.Esco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dusan Balek 2011-03-31 08:47:56 UTC
See NPS snapshots in Exception Reporter.
Comment 1 Marek Fukala 2011-03-31 12:13:16 UTC
Caused by very slow Windows disk IO 

FileUtil.toFileObject() ~ 22ms
FileObject.getFileObject() ~ 15ms

Since these are called quite frequently during computing the current file dependencies graph the result is that the completion is slow.

Easiest way to fix this problem is to cache the dependencies graph for the edited file and invalidate it only if the index result changes (some of the deps. changed).
Comment 2 Marek Fukala 2011-03-31 12:31:10 UTC
I'm going to do some css editor redesign into the next release so I'll address this issue later.
Comment 3 Franc.Esco 2011-04-13 14:24:42 UTC
Created attachment 107721 [details]
nps snapshot

Well known  issue with very slow code completion, please fix it.
Comment 4 Marek Fukala 2011-04-18 12:34:35 UTC
(In reply to comment #3)
> Created an attachment (id=107721) [details]
> nps snapshot
> 
> Well known  issue with very slow code completion, please fix it.
Just for curiosity the snapshot has nothing to do with css, it shows some java completion stuff.
Comment 5 Marek Fukala 2011-04-18 13:31:04 UTC
I havent' found a single snapshot from the 50 duplicates showing css completion. There's something very rotten in the categorizing algorithm.
Comment 6 Marian Mirilovic 2011-04-18 13:59:04 UTC
Marek, I downloaded couple of them without any problem. Could you report issue you are facing into ide/Report Exception ? Also please add you browser type/version info there please. Thanks in advance.
Comment 7 Marek Fukala 2011-04-26 13:54:07 UTC
(In reply to comment #6)
> Marek, I downloaded couple of them without any problem. Could you report issue
> you are facing into ide/Report Exception ? Also please add you browser
> type/version info there please. Thanks in advance.

??? I was referring to the fact that the snapshots shows anything but css completion in the "Code Completion" thread. So how come all the reports are considered as duplicates of this issue??? (the original Dusan's snapshot really shows css completion performance problem)
Comment 8 Marek Fukala 2011-05-05 11:16:41 UTC
I finally found two reports showing the problem of the CSS completion as described in comment #1.

I've created a new issue 198337 - Slow CSS code completion - CssIndex.getAllDependenciesGraph()  and I'm going to reassign this one to Marian Mirilovis who is IMHO responsible for the exception reporter categorization mechanism.

Mariane, I'm sorry but I can do nothing with the issue since 99% of the reports are false duplicates. Thanks for resolving this somehow.
Comment 9 Peter Nabbefeld 2011-05-05 11:22:54 UTC
In my case, I've seen all the slowness reports for xslt completion going here, but didn't know how to re-assign the exception to some other bug report (and to remove assignment to this one).
Comment 10 Marian Mirilovic 2011-05-30 09:20:27 UTC
Tomas, I expect the problem with recognition of duplicates for Slow Code Completion is already solved, isn't it ?
Comment 11 Egor Ushakov 2011-09-28 15:07:59 UTC
new reports are still coming, would anyone please check what is the root cause?
Comment 12 cwt137 2015-02-10 22:28:07 UTC
Still not fixed. Please check out http://statistics.netbeans.org/analytics/exception.do?id=765075
 and http://statistics.netbeans.org/analytics/detail.do?id=178059 for more information.
Comment 13 Tomas Hurka 2015-02-11 08:29:18 UTC
New issue #250360 was created for report: http://statistics.netbeans.org/analytics/exception.do?id=765075
Comment 14 muellermi 2017-01-13 08:34:24 UTC
NetBeans Error Report Upload Complete
It has now been added to the database with id #840167. It has been classified as a duplicate of report #178059.
This bug was already fixed.
Please update your build of NetBeans to the latest build of 7.0.1 where bug #197270 is fixed. If you are already using a newer build and your report meets certain criteria a new bug will be filed automatically.

Bug seems not to be fixed so far  *** reopened ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo